# typed: strict
class Scraper::FurArchiverHttpClientConfig < Scraper::HttpClientConfig
  extend T::Sig

  sig { override.returns(T::Array[[String, Numeric]]) }
  def ratelimit
    [["furarchiver.net", 1.0]]
  end

  sig { override.returns(T::Array[String]) }
  def allowed_domains
    ["furarchiver.net"]
  end

  sig { override.returns(Integer) }
  def redirect_limit
    2
  end

  sig { override.returns(T.nilable(T::Array[T.untyped])) }
  def cookies
    nil
  end
end
